<template>
  <v-card>
    <v-img :src="proposal.workplace.photoUrl || 'img/default-proposal.jpg'" class="align-end" height="150px">
      <v-card-title>
        {{ proposal.workplace.jobTitle }} in {{  proposal.workplace.companyName }}
      </v-card-title>
    </v-img>

    <v-card-subtitle>
      <v-row align="center">
        <CountryFlag :country="proposal.country.iso" size="small"/>
        <span>{{ proposal.country.name }}, {{ proposal.workplace.address}}.</span>
      </v-row>
    </v-card-subtitle>

    <v-card-text>
      <p>Approximate salary: {{ formatNumber(proposal.workplace.salary) }} HUF</p>
      <p>Avg accommodation rental payment: {{  formatNumber(proposal.accommodation.fee) }} HUF</p>
      <p>Average utilities payment: {{ formatNumber(proposal.accommodation.utilities) }} HUF</p>
    </v-card-text>

    <v-divider></v-divider>

    <v-card-actions>
      <v-btn text @click="$emit('details')">Details</v-btn>
      <v-spacer></v-spacer>
      <v-btn text @click="$emit('edit')">Edit</v-btn>
      <v-btn text @click="$emit('delete')">Delete</v-btn>
    </v-card-actions>

  </v-card>
</template>

<script>
import CountryFlag from 'vue-country-flag';
import numeral from 'numeral';

export default {
  name: "ProposalCard",
  components: {
    CountryFlag
  },
  props: {
    proposal: Object
  },
  methods: {
    formatNumber(n) {
      return numeral(n).format('0,0')
    }
  }
}
</script>
